VM ware Collectors - List By Project
Get a list of VMware collector.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Migrate/assessmentProjects/{projectName}/vmwarecollectors?api-version=2019-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
project
|
path | True |
string |
Name of the Azure Migrate project. |
|
resource
|
path | True |
string |
Name of the Azure Resource Group that project is part of. |
|
subscription
|
path | True |
string |
Azure Subscription Id in which project was created. |
|
api-version
|
query | True |
string |
Standard request header. Used by service to identify API version used by client. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK. Returns list of VMware collectors. Headers x-ms-request-id: string |
|
| Other Status Codes |
Error response describing why the operation failed. |
Security
azure_auth
Azure Active Directory OAuth2 Flow
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
VMwareCollectors_ListByProject
Sample request
GET https://management.azure.com/subscriptions/6393a73f-8d55-47ef-b6dd-179b3e0c7910/resourceGroups/abgoyal-westEurope/providers/Microsoft.Migrate/assessmentProjects/abgoyalWEselfhostb72bproject/vmwarecollectors?api-version=2019-10-01
Sample response
{
"value": [
{
"eTag": "\"01003d32-0000-0d00-0000-5d74d2e50000\"",
"id": "/subscriptions/6393a73f-8d55-47ef-b6dd-179b3e0c7910/resourceGroups/abgoyal-westeurope/providers/Microsoft.Migrate/assessmentprojects/abgoyalWEselfhostb72bproject/vmwarecollectors/PortalvCenterbc2fcollector",
"name": "PortalvCenterbc2fcollector",
"type": "Microsoft.Migrate/assessmentprojects/vmwarecollectors",
"properties": {
"discoverySiteId": "/subscriptions/6393a73f-8d55-47ef-b6dd-179b3e0c7910/resourceGroups/abgoyal-westEurope/providers/Microsoft.OffAzure/VMwareSites/PortalvCenterbc2fsite",
"createdTimestamp": "2019-05-09T09:58:21.4988104Z",
"updatedTimestamp": "2019-09-08T10:07:33.1996006Z",
"agentProperties": {
"id": "75b0f71e-1272-4f29-a801-29cfa4b34a6e",
"version": "1.0.8.227",
"lastHeartbeatUtc": "2019-05-28T06:21:28.7794661Z",
"spnDetails": {
"authority": "https://login.windows.net/72f988bf-86f1-41af-91ab-2d7cd011db47",
"applicationId": "fc717575-8173-4b21-92a5-658b655e613e",
"audience": "https://72f988bf-86f1-41af-91ab-2d7cd011db47/PortalvCenterbc2fagentauthaadapp",
"objectId": "29d94f38-db94-4980-aec0-0cfd55ab1cd0",
"tenantId": "72f988bf-86f1-41af-91ab-2d7cd011db47"
}
}
}
}
]
}
Definitions
| Name | Description |
|---|---|
|
Cloud |
An error response from the Azure Migrate service. |
|
Cloud |
An error response from the Azure Migrate service. |
|
Collector |
|
|
Collector |
|
|
Collector |
|
|
VMware |
|
|
VMware |
List of VMware collectors. |
CloudError
An error response from the Azure Migrate service.
| Name | Type | Description |
|---|---|---|
| error |
An error response from the Azure Migrate service. |
CloudErrorBody
An error response from the Azure Migrate service.
| Name | Type | Description |
|---|---|---|
| code |
string |
An identifier for the error. Codes are invariant and are intended to be consumed programmatically. |
| details |
A list of additional details about the error. |
|
| message |
string |
A message describing the error, intended to be suitable for display in a user interface. |
| target |
string |
The target of the particular error. For example, the name of the property in error. |
CollectorAgentProperties
| Name | Type | Description |
|---|---|---|
| id |
string |
|
| lastHeartbeatUtc |
string (date-time) |
|
| spnDetails | ||
| version |
string |
CollectorBodyAgentSpnProperties
| Name | Type | Description |
|---|---|---|
| applicationId |
string |
Application/client Id for the service principal with which the on-premise management/data plane components would communicate with our Azure services. |
| audience |
string |
Intended audience for the service principal. |
| authority |
string |
AAD Authority URL which was used to request the token for the service principal. |
| objectId |
string |
Object Id of the service principal with which the on-premise management/data plane components would communicate with our Azure services. |
| tenantId |
string |
Tenant Id for the service principal with which the on-premise management/data plane components would communicate with our Azure services. |
CollectorProperties
| Name | Type | Description |
|---|---|---|
| agentProperties | ||
| createdTimestamp |
string |
Time when this collector was created. Date-Time represented in ISO-8601 format. |
| discoverySiteId |
string |
The ARM id of the discovery service site. |
| updatedTimestamp |
string |
Time when this collector was updated. Date-Time represented in ISO-8601 format. |
VMwareCollector
| Name | Type | Description |
|---|---|---|
| eTag |
string |
|
| id |
string |
|
| name |
string |
|
| properties | ||
| type |
string |
VMwareCollectorList
List of VMware collectors.
| Name | Type | Description |
|---|---|---|
| value |
List of VMware collectors. |